% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/375-extractDrugMACCS.R
\name{extractDrugMACCS}
\alias{extractDrugMACCS}
\title{Calculate the MACCS Molecular Fingerprints (in Compact Format)}
\usage{
extractDrugMACCS(molecules, silent = TRUE)
}
\arguments{
\item{molecules}{Parsed molucule object.}

\item{silent}{Logical. Whether the calculating process
should be shown or not, default is \code{TRUE}.}
}
\value{
A list, each component represents one of the molecules, each element
in the component represents the index of which element in the fingerprint is 1.
Each component's name is the length of the fingerprints.
}
\description{
Calculate the MACCS Molecular Fingerprints (in Compact Format)
}
\details{
The popular 166 bit MACCS keys described by MDL.
}
\examples{
smi = system.file('vignettedata/FDAMDD.smi', package = 'Rcpi')
\donttest{
mol = readMolFromSmi(smi, type = 'mol')
fp  = extractDrugMACCS(mol)
head(fp)}
}
\seealso{
\link{extractDrugMACCSComplete}
}
\author{
Nan Xiao <\url{https://nanx.me}>
}
\keyword{extractDrugMACCS}
